STRUCT TEM(3)

NAME
boost::intrusive::unordered_algorithms

SYNOPSIS

// In header: <boost/intrusive/unordered_set_hook.hpp>
template<typename NodeTraits>
struct unordered_algorithms :
  public boost::intrusive::circular_slist_algorithms< NodeTraits >
{
  // types
  typedef circular_slist_algorithms< NodeTraits >   base_type;
  typedef unordered_group_adapter< NodeTraits >     group_traits;
  typedef circular_slist_algorithms< group_traits > group_algorithms;
  // public static functions
  static void init(typename base_type::node_ptr);
  static void init_header(typename base_type::node_ptr);
  static void unlink(typename base_type::node_ptr);
};

DESCRIPTION

  unordered_algorithms public static functions

    1.

    static void init(typename base_type::node_ptr n);

    2.

    static void init_header(typename base_type::node_ptr n);

    3.

    static void unlink(typename base_type::node_ptr n);